%define name libggimisc
%define version 2.0.1
%define release 3mdk
%define lib_name_orig	%{name}
%define lib_major	2
%define lib_name	%{lib_name_orig}%{lib_major}

Summary: Extension library for libggi.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Url: http://www.ggi-project.org/libggimisc.html
License: BSD
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildRequires: libggi-devel 

%description
LibGGIMisc is a LibGGI extension implementing
support for a range of hard to categorize features.

%package -n %{lib_name}
Summary:	Main library for %{name}
Group:		System/Libraries
Requires:	libgii0

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{lib_name}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Other
Requires:	%{lib_name} = %{version}-%{release} libgii0-devel
Provides:	%{lib_name_orig}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q

%build
#don't use macro
./configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --libdir=%_libdir --disable-debug
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig
 
%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING README 
%config(noreplace) %{_sysconfdir}/ggi/*
%{_libdir}/ggi/ggimisc/display/*

%files -n %{lib_name}
%defattr(-,root,root)
%doc COPYING README
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc COPYING README doc/*.txt
%{_includedir}/ggi/*
%{_libdir}/*la
%{_libdir}/*.so
%{_mandir}/man3/*

%changelog
* Thu Nov 14 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.0.1-3mdk
- add missing libggimisc.la

* Thu Jun 27 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.0.1-2mdk
- adjust buildrequires

* Thu Sep 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.1-1mdk
- added by Gtz Waschk <waschk@linux-mandrake.com> :
	- initial package
